BLADERF-TOOL(1)

NAME
bladerf-tool: - a Python command-line tool for bladeRF devices

DESCRIPTION
The bladerf-tool utility is used to flash firmware files, load FPGA bitstreams, and perform other tasks on the nuand bladeRF software-defined radio system.

For more information on obtaining or building firmware files and FPGA bitstreams, please visit http://nuand.com/.

USAGE
bladerf-tool [-h] [--device DEVICE]

info, probe, flash_fw, recover_fw, load_fpga,
    flash_fpga, erase_fpga, rx, tx, version

  optional arguments:

-h, --help
    show this help message and exit

--device DEVICE, -d DEVICE
    device identifier

  subcommands:

    info, probe, flash_fw, recover_fw, load_fpga, flash_fpga, erase_fpga, rx, tx,version

info
    get device info

probe
    probe for devices

flash_fw
    flash firmware

recover_fw
    recover firmware

load_fpga
    load fpga

flash_fpga
    flash fpga

erase_fpga
    erase fpga

rx  receive samples

tx  transmit samples

version
    print version info

SEE ALSO
bladeRF-cli(1), bladeRF-fsk(1), bladeRF-install-firmware(1)